Bug 1847407 - load_pools macro not in list of macros
Summary: load_pools macro not in list of macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.8.0
Assignee: Dominik Matoulek
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-16 10:22 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:03 UTC (History)
6 users (show)

Fixed In Version: rubygem-katello-3.16.0-0.16.rc4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 30296 Normal Closed Template macros are not shown in help list of edit template 2020-11-06 16:01:52 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:03:39 UTC

Description Lukáš Hellebrandt 2020-06-16 10:22:44 UTC
Description of problem:
There's a list of safemode macros usable in report templates. There is no mention of the load_pools macro. However, report 'Subscription - General Report' shows this macro indeed works.
Furthermore, there is load_hosts macro listed twice.

Version-Release number of selected component (if applicable):
Sat 6.8 snap 4.0

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitoring -> Report Templates -> Subscription - General Report
2. Check there is the load_pools macro used
3. Go to Help tab

Actual results:
There is no mention of the load_pools macro. There is load_hosts macro listed twice.

Expected results:
The macro should be documentad, like others. The load_hosts macro should only be listed once.

Comment 1 Tomer Brisker 2020-06-23 07:43:52 UTC
Created redmine issue https://projects.theforeman.org/issues/30196 from this bug

Comment 2 Bryan Kearney 2020-07-04 20:04:27 UTC
Upstream bug assigned to dmatoule@redhat.com

Comment 3 Bryan Kearney 2020-07-08 20:04:23 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30296 has been resolved.

Comment 5 Lukáš Hellebrandt 2020-07-21 12:15:51 UTC
I considered these fixes to be easy enough to be in one BZ but I have no problem with splitting it. Let's keeps this BZ for the load_pools macro then.

Comment 6 Lukáš Hellebrandt 2020-07-21 12:18:22 UTC
The load_hosts macro issue reported as bug 1859194.

Comment 7 Tomer Brisker 2020-07-21 12:29:18 UTC
Thanks Lukas, moving back to modified. In this case, since they are fixed in separate projects, its better to have separate bzs.

Comment 8 Lukáš Hellebrandt 2020-09-17 14:40:35 UTC
Verified with Sat 6.8 snap 15.

Used reproducer from OP, there is now load_pools macro in the list and the macro works.

Comment 11 errata-xmlrpc 2020-10-27 13:03:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.